/// acceptUserId : 0
/// reqTraceId : ""
/// seatIndex : 0

class SCGiveAwayGiftRoomAcceptsCmd {
  SCGiveAwayGiftRoomAcceptsCmd({
    String? acceptUserId,
    String? reqTraceId,
    num? seatIndex,
  }) {
    _acceptUserId = acceptUserId;
    _reqTraceId = reqTraceId;
    _seatIndex = seatIndex;
  }

  SCGiveAwayGiftRoomAcceptsCmd.fromJson(dynamic json) {
    _acceptUserId = json['acceptUserId'];
    _reqTraceId = json['reqTraceId'];
    _seatIndex = json['seatIndex'];
  }

  String? _acceptUserId;
  String? _reqTraceId;
  num? _seatIndex;

  SCGiveAwayGiftRoomAcceptsCmd copyWith({
    String? acceptUserId,
    String? reqTraceId,
    num? seatIndex,
  }) => SCGiveAwayGiftRoomAcceptsCmd(
    acceptUserId: acceptUserId ?? _acceptUserId,
    reqTraceId: reqTraceId ?? _reqTraceId,
    seatIndex: seatIndex ?? _seatIndex,
  );

  String? get acceptUserId => _acceptUserId;

  String? get reqTraceId => _reqTraceId;

  num? get seatIndex => _seatIndex;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['acceptUserId'] = _acceptUserId;
    map['reqTraceId'] = _reqTraceId;
    map['seatIndex'] = _seatIndex;
    return map;
  }
}
